package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.MemCouponFromDsp;
import com.iformall.domain.po.base.TenantEntity;

import java.util.List;

public interface MemCouponFromDspService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<MemCouponFromDsp> listAsPage(MemCouponFromDsp record, Integer pageIndex, Integer pageSize);

    List<MemCouponFromDsp> getList(MemCouponFromDsp record);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    MemCouponFromDsp getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(MemCouponFromDsp record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);

    /**
     * countByInfo
     * @param record
     * @return
     */
    Integer countByInfo(MemCouponFromDsp record);

    /**
     * 注券
     * @param record
     * @return
     */
    Integer couponOrder(MemCouponFromDsp record);

    /**
     * 注券
     * @param tenantEntity
     * @param phone
     * @return
     */
    void couponOrderFromDsp(TenantEntity tenantEntity, String phone);
	
}
